Skip to main content
GET
Get agent performance report
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

range_type
enum<string>
default:last_30_days

Time range for the report. Use custom with start_date and end_date for custom date ranges.

Available options:
last_7_days,
last_30_days,
last_24_hours,
this_week,
last_week,
this_month,
last_month,
this_quarter,
last_quarter,
this_year,
last_year,
all_time,
custom
start_date
string<date>

Start date for custom date range (YYYY-MM-DD format). Required when range_type is custom.

Example:

"2025-10-01"

end_date
string<date>

End date for custom date range (YYYY-MM-DD format). Required when range_type is custom.

Example:

"2025-10-31"

Response

200 - application/json

OK - Request succeeded

members
object[]
summary
object

Aggregated summary metrics for all agents, containing first_response_time, resolution_time, assigned, and closed objects, each with present, previous, and change_percentage values.

total_count
integer
Example:

5